curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/orders/{order_id}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/orders/{order_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "371ca583-d218-4900-b236-397532cf0e52",
"creation_date": "2025-01-01T00:00:00Z",
"total": 11,
"tax_amount": 1,
"payments": [
{
"total": 11,
"id": "payment-123",
"payment_method_id": "payment-method-123",
"payment_method_name": "Cash",
"tip": 1,
"status": "Completed",
"currency": "EUR",
"date": "2025-01-01T00:00:00Z",
"invoice_ref": "invoice-123",
"order_id": "order-123"
}
],
"items": [
{
"id": "123",
"quantity": 1,
"unit_price": 10,
"total": 11,
"tax_amount": 1,
"type": "product",
"menu_id": "456",
"tax_rate": 10,
"tax_id": "371ca583-d218-4900-b236-397532cf0e39",
"description": "Pizza",
"discounts": [],
"product_id": "789",
"accounting_category_id": "123",
"modifiers": []
}
],
"order_number": "1",
"closing_date": "2025-01-01T00:00:00Z",
"service_date": "2025-01-01T00:00:00Z",
"device_id": "device-123",
"total_discount": 10,
"total_refund": 5,
"total_tip": 1,
"delivery_fee": 1,
"mode": "eat_in",
"source": "web",
"currency": "EUR",
"country": "FR",
"loyalty": 100,
"customer_id": "customer-123",
"location_id": "location-123",
"taxes": [],
"guests": 1,
"invoice_id": "invoice-123"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The order could not be found",
"status": "error",
"error_code": "ERROR_ORDER_NOT_FOUND"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Get one order
Returns a specific order from the POS system by its unique identifier.
Path Parameters
Unique identifier of the order
Response
Successful Response
Unique identifier of the order
"371ca583-d218-4900-b236-397532cf0e52"
Creation date of the order
"2025-01-01T00:00:00Z"
Total amount including tax of the order
11
Total amount of the taxes of the order
1
List of payments made for the order
Show child attributes
Show child attributes
List of item lines in the order
Show child attributes
Show child attributes
Order number (often unique reference during the day)
"1"
Closing date of the order
"2025-01-01T00:00:00Z"
Indicates the date of the service to which the order belongs (can be used to group orders by closure date)
"2025-01-01T00:00:00Z"
ID of device that created the order
"device-123"
Total amount of the discounts of the order
10
Total amount of the refunds of the order
5
Total amount of the tips of the order. Tips are not part of the total of the order
1
Total amount of the delivery fees of the order
1
Delivery Mode
EAT_IN, TAKEAWAY, DELIVERY, UNKNOWN "eat_in"
Source of the order
WEB, MOBILE, KIOSK, POS, REMOTE_POS, JUSTEAT, FOODORA, UBEREATS, GLOVO, DELIVEROO, SMILEIN, UNKNOWN "web"
Currency of the order
"EUR"
Country of the order, format: ISO 3166-1 codes.
"FR"
Loyalty points of the order
100
Unique identifier of the customer
"customer-123"
Unique identifier of the location
"location-123"
List of taxes of the order
Show child attributes
Show child attributes
Number of guests linked to the order
1
ID of the invoice linked to the order. Only available for specific POS and if the order is linked to an invoice (B2B)
"invoice-123"